# quotes
[Quote database for the tilde.chat](https://quotes.tilde.chat/)

## setup

    sudo apt install sqlite3 python3-flask gunicorn
    sqlite3 quotes.db < schema.sql
    sudo cp qdb.service /etc/systemd/system/
    sudo cp qdb.nginx.conf /etc/nginx/sites-available/qdb.example.com
    sudo ln -s ../sites-available/qdb.example.com /etc/nginx/sites-enabled/
    sudo systemctl enable --now qdb

## running locally

* make sure you have python3-flask installed
* create the schema per the setup instructions
* run the flask app:

    FLASK_APP=app.py FLASK_DEBUG=1 flask run -h 0.0.0.0 -p 3333

* visit the local version in your browser: http://localhost:3333

